Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkSimpleElevationFilter Class Reference

`#include <vtkSimpleElevationFilter.h>`

Inheritance diagram for vtkSimpleElevationFilter:

[legend]
Collaboration diagram for vtkSimpleElevationFilter:

[legend]
List of all members.

## Detailed Description

generate scalars along a specified direction

Date:
  2002/01/22 15:29:45

Revision:
  1.12

vtkSimpleElevationFilter is a filter to generate scalar values from a dataset. The scalar values are generated by dotting a user-specified vector against a vector defined from the input dataset points to the origin.

See also:
  vtkElevationFilter

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (86%)
  - Cedilnik, Andy (5%)

CVS logs (CVSweb):
  - .`h` (`/Graphics/vtkSimpleElevationFilter.h)`
  - .`cxx` (`/Graphics/vtkSimpleElevationFilter.cxx)`

Tests:
  vtkSimpleElevationFilter (Tests)

Definition at line 49 of file vtkSimpleElevationFilter.h.

## Public Types
typedef vtkDataSetToDataSetFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetVector (float, float, float)
virtual void | SetVector (float[3])
virtual float * | GetVector ()
virtual void | GetVector (float data[3])
## Static Public Methods
int | IsTypeOf (const char *type)
vtkSimpleElevationFilter * | SafeDownCast (vtkObject *o)
vtkSimpleElevationFilter * | New ()
## Protected Methods
| vtkSimpleElevationFilter ()
| ~vtkSimpleElevationFilter ()
void | Execute ()
## Protected Attributes
float | Vector [3]

## Member Typedef Documentation

typedef vtkDataSetToDataSetFilter vtkSimpleElevationFilter::Superclass

| Reimplemented from vtkDataSetToDataSetFilter. Definition at line 52 of file vtkSimpleElevationFilter.h.

## Constructor & Destructor Documentation

vtkSimpleElevationFilter::vtkSimpleElevationFilter | ( |  | ) | `[protected]`

vtkSimpleElevationFilter::~vtkSimpleElevationFilter | ( |  | ) | `[inline, protected]`

| Definition at line 66 of file vtkSimpleElevationFilter.h.

## Member Function Documentation

virtual const char* vtkSimpleElevationFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataSetToDataSetFilter.

int vtkSimpleElevationFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToDataSetFilter.

virtual int vtkSimpleElevationFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToDataSetFilter.

vtkSimpleElevationFilter* vtkSimpleElevationFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataSetToDataSetFilter.

void vtkSimpleElevationFilter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataSetToDataSetFilter.

vtkSimpleElevationFilter* vtkSimpleElevationFilter::New | ( |  | ) | `[static]`

| Construct object with Vector=(0,0,1); Reimplemented from vtkObject.

virtual void vtkSimpleElevationFilter::SetVector | ( | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Define one end of the line (small scalar values).

virtual void vtkSimpleElevationFilter::SetVector | ( | float | [3] | ) | `[virtual]`

| Define one end of the line (small scalar values).

virtual float* vtkSimpleElevationFilter::GetVector | ( |  | ) | `[virtual]`

| Define one end of the line (small scalar values).

virtual void vtkSimpleElevationFilter::GetVector | ( | float | data[3] | ) | `[virtual]`

| Define one end of the line (small scalar values).

void vtkSimpleElevationFilter::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

## Member Data Documentation

float vtkSimpleElevationFilter::Vector[3]`[protected]`

| Definition at line 69 of file vtkSimpleElevationFilter.h.

The documentation for this class was generated from the following file:

- Graphics/vtkSimpleElevationFilter.h